#
# spec file for package libexttextcat
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libexttextcat-2_0-0
Name:           libexttextcat
Version:        3.4.4
Release:        5.5
Summary:        Text categorization library datafiles and documents
License:        BSD-4-Clause
Group:          Productivity/Text/Convertors
Url:            http://www.freedesktop.org/wiki/Software/libexttextcat
Source0:        http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  xz
Obsoletes:      libtextcat < 3.2.0
Provides:       libtextcat = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The %{name} is a library implementing N-gram-based text categorization

%package -n %{libname}
Summary:        Text categorization library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libname}
The %{name} is a library implementing N-gram-based text categorization

%package devel
Summary:        Files for Developing with %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Obsoletes:      libtextcat-devel < 3.2.0
Provides:       libtextcat-devel = %{version}

%description devel
The %{name} is a library implementing N-gram-based text categorization

This package contains the libexttextcat development files.

%package tools
Summary:        Tool for creating custom document fingerprints
Group:          Productivity/Text/Convertors

%description tools
The %{name}-tools package contains the createfp program that allows
you to easily create your own document fingerprints.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-werror \
	--docdir=%{_docdir}/%{name}
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README*
%{_datadir}/%{name}*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.0*

%files devel
%defattr(-,root,root)
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}*
%{_datadir}/vala/vapi/%{name}.vapi

%files tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Tue Jul  8 2014 tchvatal@suse.com
- Version bump to 3.4.4:
  * Fix overlaping memcpy
* Sat Jan 25 2014 tchvatal@suse.com
- Version bump to 3.4.3:
  * bump release
    + overlapping memcpy
    + allow old spelling of TEXTCAT_RESULT_UNKOWN.
  * merge in Giulio's work and bump release
    + Updated libexttextcat.vapi.
    + Enable changing mindocsize at runtime.
    + Fixed spelling of TEXTCAT_RESULT_UNKOWN.
* Thu Dec 27 2012 cfarrell@suse.com
- license update: BSD-4-Clause
  BSD is not acceptable (not SPDX format). BSD-4-Clause is the better
  choice because of e.g. src/fingerprint.c
* Wed Nov  7 2012 tchvatal@suse.com
- Require data of the same version of the package.
* Tue Nov  6 2012 tchvatal@suse.com
- Use variables instead of hard declarations.
* Tue Nov  6 2012 tchvatal@suse.com
- Add vala dirs to the list so it builds.
* Tue Nov  6 2012 tchvatal@suse.com
- License is BSD.
* Tue Nov  6 2012 tchvatal@suse.com
- Homepage fix.
* Tue Nov  6 2012 tchvatal@suse.com
- Remove copy&pasto requires.
* Tue Nov  6 2012 tchvatal@suse.com
- Remove pointless file.
* Tue Nov  6 2012 tchvatal@suse.com
- Initial commit of 3.4.0 release.
